import store from "../../renderer/store"
const {
    dialog,clipboard
} = require('electron');
var fs = require("fs");

function saveFile(file){
    console.log("content:",store.state.content);
    console.log("content2:",JSON.stringify(store.state.content));
    console.log("file:",file);
    fs.writeFile(file, JSON.stringify(store.state.content), function (err) {
        if (err) {
            console.error("err:", err);
            dialog.showMessageBox({
                title: file+"保存失败",
                message: JSON.stringify(err),
                type: "info"
            });
        } else {
            dialog.showMessageBox({
                title: "message",
                message: file+"保存成功",
                type: "info"
            });
        }
    })
}

function save() {
    let file = store.state.file;
    console.log('file:',file);
    if (file == null||file==undefined) {
        saveAs();
    } else {
        saveFile(file);
    }
}

function saveAs(){
    dialog.showSaveDialog({
        title:"保存"
    }, function (file) {
        console.log('files:', file)
        if (file && file.length) {
            store.commit('setValue', {
                name: 'file',
                value: file
            });
            saveFile(file);
        }
    })

}

function open() {
    console.log('open');
    dialog.showOpenDialog({
        properties: ['openFile']
    }, function (files) {
        console.log('files:', files)
        if (files && files.length) {
            store.commit('setValue', {
                name: 'file',
                value: files[0]
            });
        }
    })
}

function openSetting() {
    dialog.showOpenDialog({
        title:"选择配置文件",
        properties: ['openFile']
    }, function (files) {
        if (files && files.length) {
            fs.readFile(files[0], function (err, data) {
                if (err) {
                    console.error('err:', err);
                }
                console.log('schema',data.toString());
                store.commit('setValue', {
                    name: 'schema',
                    value: JSON.parse(data.toString())
                });
            })
        }
    })
}

function copy(){
    console.log("text:"+JSON.stringify(store.state.content))
    clipboard.writeText(JSON.stringify(store.state.content));
}


export default {
    save: save,
    saveAs:saveAs,
    open: open,
    openSetting: openSetting,
    copy:copy
}