import Vue from 'vue'
import Vuex from 'vuex'

import {
  createPersistedState,
  createSharedMutations
} from 'vuex-electron'


Vue.use(Vuex)
const state = {
  schema: null,
  file: null,
  content:null
}
const mutations = {
  setValue(state, value) {
    state[value.name] = value.value;
  }
}
const actions={
  setValue(context,value){
    context.commit('setValue',value);
  }
}
export default new Vuex.Store({
  state: state,
  mutations: mutations,
  actions:actions,
  plugins: [
    createPersistedState(),
    createSharedMutations()
  ],
  strict: process.env.NODE_ENV !== 'production'
})
